Subject: Re: [PATCH RESEND net v5 0/4] vsock/virtio: fix TX credit handling

From: Jakub Kicinski <[email-masked]>
Date: Mon, 19 Jan 2026 10:17:34 -0800

On Fri, 16 Jan 2026 21:15:13 +0100 Stefano Garzarella wrote:
> Resend with the right cc (sorry, a mistake on my env)

Please don't resend within 24h unless asked to:
https://www.kernel.org/doc/html/next/process/maintainer-netdev.html#tl-dr

> The original series was posted by Melbin K Mathew <[email-masked]> till
> v4: https://lore.kernel.org/netdev/[email-masked]/
> 
> Since it's a real issue and the original author seems busy, I'm sending
> the v5 fixing my comments but keeping the authorship (and restoring mine
> on patch 2 as reported on v4).

Does not apply to net:

Switched to a new branch 'vsock-virtio-fix-tx-credit-handling'
Applying: vsock/virtio: fix potential underflow in virtio_transport_get_credit()
Applying: vsock/test: fix seqpacket message bounds test
Applying: vsock/virtio: cap TX credit to local buffer size
Applying: vsock/test: add stream TX credit bounds test
error: patch failed: tools/testing/vsock/vsock_test.c:2414
error: tools/testing/vsock/vsock_test.c: patch does not apply
Patch failed at 0004 vsock/test: add stream TX credit bounds test
hint: Use 'git am --show-current-patch=diff' to see the failed patch
hint: When you have resolved this problem, run "git am --continue".
hint: If you prefer to skip this patch, run "git am --skip" instead.
hint: To restore the original branch and stop patching, run "git am --abort".
hint: Disable this message with "git config set advice.mergeConflict false"

Did you generate against net-next or there's some mid-air collision?
(if the former please share the resolution for the resulting conflict;))
-- 
pw-bot: cr